public inbox for linux-xfs@vger.kernel.org
 help / color / mirror / Atom feed
From: Eryu Guan <eguan@redhat.com>
To: fstests@vger.kernel.org
Cc: linux-xfs@vger.kernel.org, Eryu Guan <eguan@redhat.com>
Subject: [PATCH 1/2] generic/224: filter out expected XFS warnings for mixed direct/buffer I/O
Date: Mon, 31 Jul 2017 12:28:24 +0800	[thread overview]
Message-ID: <20170731042825.6250-1-eguan@redhat.com> (raw)

generic/224 is doing concurrent direct and buffered I/O to the same
set of files, and this triggers some expected warnings on XFS. So
filter out these warnings just like what we did in generic/095 and
generic/247.

Signed-off-by: Eryu Guan <eguan@redhat.com>
---
 tests/generic/224 | 11 ++++++++++-
 1 file changed, 10 insertions(+), 1 deletion(-)

diff --git a/tests/generic/224 b/tests/generic/224
index 2c30a75258f3..29b1c05d06df 100755
--- a/tests/generic/224
+++ b/tests/generic/224
@@ -82,5 +82,14 @@ for i in `seq 0 1 $FILES`; do
 done
 wait
 echo "*** Silence is golden ***"
-status=0
+
+# unmount and check dmesg, filtering out expected XFS warnings about mixed
+# direct and buffered I/O
+_scratch_unmount
+if [ "$FSTYP" == "xfs" ]; then
+	_check_dmesg _filter_xfs_dmesg
+else
+	_check_dmesg
+fi
+status=$?
 exit
-- 
2.13.3


             reply	other threads:[~2017-07-31  4:28 UTC|newest]

Thread overview: 4+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2017-07-31  4:28 Eryu Guan [this message]
2017-07-31  4:28 ` [PATCH 2/2] common/xfs: add iomap_dio_actor() to the dmesg filter Eryu Guan
2017-08-03 11:54   ` Brian Foster
2017-08-03 11:53 ` [PATCH 1/2] generic/224: filter out expected XFS warnings for mixed direct/buffer I/O Brian Foster

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=20170731042825.6250-1-eguan@redhat.com \
    --to=eguan@redhat.com \
    --cc=fstests@vger.kernel.org \
    --cc=linux-xfs@vger.kernel.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox